IDA(4)

NAME
ida - Compaq Intelligent Drive Array Controllers

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device scbus
device ida

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    ida_load="YES"

DESCRIPTION
The Compaq Intelligent Drive Array (IDA) technology is used to distribute data across an array of hard drives. It unites these hard drives into one or more high-performance logical drives. The drive array is managed by an array controller.

These controllers have the ability to provide fault tolerance for the connected drives and optionally provide write cache for the logical drives. It is also possible for an application to access the SCSI bus subsystem directly by using the pass-through interface.

HARDWARE
The following controllers are supported by the ida driver:

•   Compaq SMART Array 221
•   Compaq Integrated SMART Array Controller
•   Compaq SMART Array 4200
•   Compaq SMART Array 4250ES
•   Compaq SMART 3200 Controller
•   Compaq SMART 3100ES Controller
•   Compaq SMART-2/DH Controller
•   Compaq SMART-2/SL Controller
•   Compaq SMART-2/P Controller
•   Compaq SMART-2/E Controller
•   Compaq SMART Controller

IMPLEMENTATION NOTES
Extreme caution should be exercised when using the pass-through interface. It is possible to interfere with normal system I/O and cause hangs if pass-through is used to an active device. Pass-through should only be used to a device that is otherwise quiescent.

SEE ALSO
cam(4), pass(4), xpt(4), camcontrol(8)

AUTHORS
-nosplit The ida driver was written by Jonathan Lemon <jlemon@FreeBSD.org> and Matthew N. Dodd <mdodd@FreeBSD.org>. This manual page was written by Tom Rhodes <trhodes@FreeBSD.org>.